import { Alert,Button, Form, Input, Select, Radio, Space, Upload, Steps } from 'antd';
import styled from 'styled-components';
const StepTwo = styled.div`
  display: flex;
  .StepTwo-content {
    width: 867px; 
    height: 450px; 
    margin-left: 50px; 
    margin-top: 20px; 
    overflow: scroll;
    border: 1px solid #C8D3E9;
    .ant-row {    
      margin-left: 37px;
    }
    .content-item {
      margin-top: 17px;
      .ant-form {
        flex-direction: row;
        justify-content: left;
        .ant-form-item {
          margin-bottom: 10px;
        }
      }
      .item-choseList {
        .ant-select {
          width: 158px;
        }
      }
      .stateIcon {
        display: inline-block;
        width:20px;
        background-color: #fff;
        border: none;
      }
      .showStructure {
        margin-left: 14px;
      }
      .dataSourceType {
        display: flex;
        margin-left: 137px;
        color: #7D7D7D;
      }
    }
  }
  .structure-detail {
    display: flex;
    width: 416px;
    height: 450px;
    border: 1px solid #C8D3E9;
    margin-top: 20px;
    margin-left:60px;
    border-radius: 2px;
  }
`
const FormItem = Form.Item
const { Option } = Select;

export default function JobStepTwo() {
  
  const showStructure = () => {

  }
  
  return (
    <>
      <StepTwo>
      <div className='StepTwo-content'>
        <div className='content-item'>
          <Form name="control-hooks" >
            <FormItem
            name="sort"
            label="选择数据源1"
            >
              <Select
              allowClear
              >
                <Option value="Java">Java</Option>
                <Option value="Python">Python</Option>
                <Option value="Dag">Dag</Option>
              </Select>
            </FormItem>
            <FormItem
            name="sort"
            label="选择表1"
            className='item-choseList'>
            
              <Select
              allowClear
              >
                <Option value="Java">Java</Option>
                <Option value="Python">Python</Option>
                <Option value="Dag">Dag</Option>
              </Select>
              <Alert 
              type='success'
              showIcon
              className='stateIcon'
              >
              </Alert>
              <Button 
              type='primary' 
              className='showStructure'
              onClick={showStructure}>
              结构预览</Button>
            </FormItem>
            <div className='dataSourceType'>
              数据源类型:
              <div>
                <span>
                  hive
                </span>
              </div>
            </div>
          </Form>
        </div>
      </div>
      <div className='structure-detail'>
        <div className='detail-item'> 
          <div className=''></div>
        </div>
      </div>
    </StepTwo>
    </>
    
  )
}