import DatasourceView from '../module/datasource/page/DatasourceView.jsx'
import SyncTaskAdd from '../module/datasource/component/SyncTaskAdd.jsx'
import LogWatcher from '../module/datasource/component/LogWatcher.jsx'
import TaskLog from '../module/tasklog/page/TaskLog.jsx';
import TaskMgmtView from '../module/taskmgmt/page/TaskMgmtView.jsx';
import TaskCreaterView from '../module/taskmgmt/component/TaskCreaterView.jsx';
import TaskLogWatcher from '../module/tasklog/component/TaskLogWatcher.jsx';

export const routes = [
    {
        path: '/datasource',
        title: '数据源管理',
        // exact: true,
        component: DatasourceView,
        children: [{
            path: '/datasource/sync-task',
            component: SyncTaskAdd,
        }, {
            path: '/datasource/log-watcher',
            component: LogWatcher,
        }]
    },
    {
        path: '/task-mgmt',
        title: '任务管理',
        component: TaskMgmtView,
        children: [{
            path: '/task-mgmt/create-task',
            component: TaskCreaterView,
        }]
    },
    {
        path: '/task-log',
        title: '任务日志',
        component: TaskLog,
        children: [
          {
            path: '/task-log/log-watcher',
            component: TaskLogWatcher
          }
        ]
    }
]